LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XModel Interface Reference

represent an XForms model More...

`import"XModel.idl";`

Inheritance diagram for XModel:

## Public Member Functions
string | getID ()
| get the XForms model ID More...
void | setID ([in] string id)
| set the XForms model ID More...
void | initialize ()
| initialize the model More...
void | rebuild ()
| rebuild the model More...
void | recalculate ()
| re-evaluate all calculate attributes More...
void | revalidate ()
| re-evaluate all validity attributes More...
void | refresh ()
| refresh the model More...
void | submit ([in] string id) raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| submit form through given submission id More...
void | submitWithInteraction ([in] string id, [in] com::sun::star::task::XInteractionHandler aHandler) raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| submit form through given submission id More...
XDataTypeRepository | getDataTypeRepository ()
| provides management access to the XSD data types associated with the model More...
com::sun::star::container::XSet | getInstances ()
| gets container containing all instances; More...
com::sun::star::xml::dom::XDocument | getInstanceDocument ([in] string id)
| retrieves the instance with the given id More...
com::sun::star::xml::dom::XDocument | getDefaultInstance ()
| get the default instance for this model More...
com::sun::star::beans::XPropertySet | createBinding ()
| create a binding element for this model More...
com::sun::star::beans::XPropertySet | cloneBinding ([in] com::sun::star::beans::XPropertySet binding)
| clone an arbitrary binding element for this model; still needs More...
com::sun::star::beans::XPropertySet | getBinding ([in] string id)
| get a binding with a certain ID More...
com::sun::star::container::XSet | getBindings ()
| get a container containing all bindings; also supports XNameAccess More...
XSubmission | createSubmission ()
| create a submission element for this model More...
XSubmission | cloneSubmission ([in] com::sun::star::beans::XPropertySet submission)
| clone an arbitrary submission element for this model More...
XSubmission | getSubmission ([in] string id)
| get a submission with a certain ID. More...
com::sun::star::container::XSet | getSubmissions ()
| get container containing all submissions; also supports XNameAccess More...

## Detailed Description

represent an XForms model

## Member Function Documentation

## ◆ cloneBinding()

com::sun::star::beans::XPropertySet cloneBinding | ( | [in] com::sun::star::beans::XPropertySet | binding | ) |

clone an arbitrary binding element for this model; still needs

The returned binding still needs to be inserted into the bindings container.

See also
  getBindings

## ◆ cloneSubmission()

XSubmission cloneSubmission | ( | [in] com::sun::star::beans::XPropertySet | submission | ) |

clone an arbitrary submission element for this model

The returned submission element still needs to be inserted into the submission container.

See also
  getSubmissions

## ◆ createBinding()

com::sun::star::beans::XPropertySet createBinding | ( |  | ) |

create a binding element for this model

The returned binding still needs to be inserted into the bindings container.

See also
  getBindings

## ◆ createSubmission()

XSubmission createSubmission | ( |  | ) |

create a submission element for this model

The returned submission element still needs to be inserted into the submission container.

See also
  getSubmissions

## ◆ getBinding()

com::sun::star::beans::XPropertySet getBinding | ( | [in] string | id | ) |

get a binding with a certain ID

This is a convenience method: the same result can also be obtained through getBindings()

## ◆ getBindings()

com::sun::star::container::XSet getBindings | ( |  | ) |

get a container containing all bindings; also supports XNameAccess

## ◆ getDataTypeRepository()

XDataTypeRepository getDataTypeRepository | ( |  | ) |

provides management access to the XSD data types associated with the model

## ◆ getDefaultInstance()

com::sun::star::xml::dom::XDocument getDefaultInstance | ( |  | ) |

get the default instance for this model

## ◆ getID()

string getID | ( |  | ) |

get the XForms model ID

## ◆ getInstanceDocument()

com::sun::star::xml::dom::XDocument getInstanceDocument | ( | [in] string | id | ) |

retrieves the instance with the given id

## ◆ getInstances()

com::sun::star::container::XSet getInstances | ( |  | ) |

gets container containing all instances;

The elements of the set are arrays of com::sun::star::beans::PropertyValues, containing the ID, the URL, and the instance itself.

## ◆ getSubmission()

XSubmission getSubmission | ( | [in] string | id | ) |

get a submission with a certain ID.

This is a convenience method: the same result can also be obtained through getSubmissions().

## ◆ getSubmissions()

com::sun::star::container::XSet getSubmissions | ( |  | ) |

get container containing all submissions; also supports XNameAccess

## ◆ initialize()

void initialize | ( |  | ) |

initialize the model

## ◆ rebuild()

void rebuild | ( |  | ) |

rebuild the model

## ◆ recalculate()

void recalculate | ( |  | ) |

re-evaluate all calculate attributes

## ◆ refresh()

void refresh | ( |  | ) |

refresh the model

## ◆ revalidate()

void revalidate | ( |  | ) |

re-evaluate all validity attributes

## ◆ setID()

void setID | ( | [in] string | id | ) |

set the XForms model ID

## ◆ submit()

void submit | ( | [in] string | id | ) |
raises | ( | com::sun::star::util::VetoException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

submit form through given submission id

This is a convenience method. Calling it is equivalent to calling `getSubmission()( id ).submit()`.

Parameters

  id | the ID of the submission to execute

Exceptions

  com::sun::star::util::VetoException | when the current model state does not allow a submission. Usually, this indicates that consistency criteria for the model data is not fulfilled.
  com::sun::star::lang::WrappedTargetException | when another error occurred during the submission. The com::sun::star::lang::WrappedTargetException::TargetException describes this error then.

## ◆ submitWithInteraction()

void submitWithInteraction | ( | [in] string | id,
|  | [in] com::sun::star::task::XInteractionHandler | aHandler
| ) |  |
raises | ( | com::sun::star::util::VetoException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

submit form through given submission id

This is a convenience method. Calling it is equivalent to calling `getSubmission()( id, handler ).submit()`.

Parameters

  id | the ID of the submission to execute
  aHandler | This handler allows additional user interaction, which may be necessary before the submission can be performed.

Exceptions

  com::sun::star::util::VetoException | when the current model state does not allow a submission. Usually, this indicates that consistency criteria for the model data is not fulfilled.
  com::sun::star::lang::WrappedTargetException | when another error occurred during the submission. The com::sun::star::lang::WrappedTargetException::TargetException describes this error then.

The documentation for this interface was generated from the following file:

- com/sun/star/xforms/XModel.idl